## ros-noetic-roseus-smach 1.7.5

=== debian/changelog ===
ros-noetic-roseus-smach (1.7.5-2focal) focal; urgency=high

  * [roseus_smach] add :append-goal-state (#696 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/696>)
  * add nested example with make-state-machine function (#661 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/661>)
    
      * add readme on smach-simple-nested
      * use defmacro instead of defun for make-simple-state
    without this, we need to write
    ```
    (setq sm-top
    (make-state-machine
    '((:bas :outcome3 :sub) ;; transitions
    (:sub :outcome4 :outcome5))
    `((:bas 'func-bas)  ;; functon maps
    (:sub ,sm-sub))   ;; set "nestaed state machine"
    '(:bas)      ;; initial
    '(:outcome5) ;; goal
    ))
    ```
    to avoid
    ```
    /opt/ros/melodic/share/euslisp/jskeus/eus/Linux64/bin/irteusgl unittest-error: unbound variable sm-sub in (eval (get-alist node func-map)), exitting...
    ```
    errors,
    this change enable us to write intuitive way
    ```
    '((:bas 'func-bas)  ;; functon maps
    (:sub sm-sub))   ;; set "nestaed state machine"
    ```
    you can test this behavior with
    ```
    (defmacro test (l)
    `(dolist (e ,l)
    (print e)
    (print (eval (cadr e)))))
    (defmacro test (l)
    (dolist (e l)
    (print e)
    (print (eval (cadr e)))))
    (let (a)
    (setq a 10)
    (test '((:foo 1)  (:bar a))))
    ```
  * [roseus_smach] make roseus_smach execution faster (#684 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/684>)
    
      * sleep 0.5 s for publisher
      * use ros::sleep for smach execution
    
  * [roseus_smach] add more ros-info in convert-smach (#683 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/683>)
  * [roseus_smach] fix typo in state-machine-utils.l (#693 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/693>)
  * [roseus_smach] add :start-state and :goal-state in convert-smach (#682 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/682>)
  * [roseus_smach] add groupname in state-machine-inspector (#691 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/691>)
    
      * use send sm :spin-once in state-machine-utils.l
      * add groupname and spin-once with groupname
    
  * Updates to README sample code and explanations (#659 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/659>)
    
      * extend test time limit to 120 sec for test-samples.l
      * add example/test for smach-simple with make-state-machine function
      * write more info similar to rospy implementation
      * add more info(URL/python code) on sample
      * fix typo of nestate state machine example path
      * add make-sample-parallel-state-machine tests
      * add more test, check :active-tates, duration time
    
  * [roseus_smach] use roseus for parallel-state-machine-sample (#651 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/651>)
  * [roseus_smach] add smach_viewer installation to README (#641 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/641>)
  * [roseus_smach] add code explanation of simple-state-machine in README.md. (#627 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/627>)
  * Contributors: Guilherme Affonso, Kei Okada, Naoki Hiraoka, Naoya Yamaguchi, Shingo Kitagawa, Yoichiro Kawamura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Dec 2021 15:00:00 -0000

ros-noetic-roseus-smach (1.7.4-2focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 03 Feb 2019 15:00:00 -0000

ros-noetic-roseus-smach (1.7.3-2focal) focal; urgency=high

  * check why test-smach-action-client-state failing on installed test (#570 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/570> )
  * fix make-state-machine docstring (#589 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/589> )
  * re-enable test-smach-action-client-state, which is removed in https://github.com/jsk-ros-pkg/jsk_roseus/pull/567#issuecomment-406841511
  * Add issue link in make-state-machine docstring (#595 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/595> )
  * roseus_smach: change the order of callee args for userdata in pddl2smach (#587 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/587>)
  * roseus_smach: pass userdata values unless :arg-keys is set (#586 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/586>)
    * roseus_smach: fix error on exec state machine without *ri*
  * Contributors: Guilherme Affonso, Yuki Furuta, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 31 Jan 2019 15:00:00 -0000

ros-noetic-roseus-smach (1.7.2-2focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 09 Nov 2018 15:00:00 -0000

ros-noetic-roseus-smach (1.7.1-2focal) focal; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * split test_samples.test into test_samples_action_client_state.test, since it is always failling on only installed test https://api.travis-ci.org/v3/job/406576370/log.txt, not sure why...
    * roseus_smach/test/test_samples.test: extend time-limit to 300
    * add retry for testtest_roseus_smach_samples
    the test failing https://api.travis-ci.org/v3/job/406540328/log.txt
    is this related to memory leak? https://github.com/jsk-ros-pkg/jsk_roseus/pull/563
    ```
    mstart testing [test-smach-sample-userdata]
    mfoo-count is not set. Setting 0
    start testing [test-smach-action-client-state]
    m;p=pointer?(0x6690338)
    ;; Segmentation Fault.
    terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error> >'
    what():  boost: mutex lock failed in pthread_mutex_lock: Invalid argument
    [Testcase: testtest_roseus_smach_samples] ... FAILURE!
    FAILURE: test [test_roseus_smach_samples] did not generate test results
    File \"/usr/lib/python2.7/unittest/case.py\", line 329, in run
    testMethod()
    File \"/opt/ros/kinetic/lib/python2.7/dist-packages/rostest/runner.py\", line 164, in fn

